"use strict";

const HTML_NAMESPACE = "http://www.w3.org/1999/xhtml";
let menuNode = null;

addEventListener("mousedown", handleMousedown, true);

function createMenuNode() {
  let node = document.createElementNS(HTML_NAMESPACE, "div");
  node.id = "menuPopup";
  
  node.appendChild(document.createElementNS(HTML_NAMESPACE, "div"));
  node.appendChild(document.createElementNS(HTML_NAMESPACE, "div"));
  
  return node;
}

function handleMousedown(anEvent) {
  if (anEvent.button === 0 && anEvent.shiftKey && anEvent.altKey) {
    let bodyNode = document.body;
    if (menuNode === null) {
      menuNode = createMenuNode();
      bodyNode.insertBefore(menuNode, bodyNode.firstChild);
    }
    menuNode.classList.toggle("visible");
  }
}
